unit uMain;

interface

uses
  System.SysUtils, System.Classes, JS, WEBLib.JSON, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.ExtCtrls, Vcl.Controls, WEBLib.TreeNodes,
  Vcl.ComCtrls, WEBLib.ComCtrls, WEBLib.ContinuousScroll, Vcl.StdCtrls,
  WEBLib.StdCtrls, jsdelphisystem, Data.DB, WEBLib.CDS, WEBLib.DBCtrls,
  WEBLib.DB, Vcl.Grids, WEBLib.WebCtrls, Vcl.Menus, WEBLib.Menus;

type
  TfrmMain = class(TWebForm)
    pTarget: TWebPanel;
    WebMainMenu: TWebMainMenu;
    File1: TMenuItem;
    Close1: TMenuItem;
    Toolbar: TWebPanel;
    procedure Close1Click(Sender: TObject);
    procedure WebFormShow(Sender: TObject);
  private
    { Private declarations }
    procedure Open();
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

uses
  uDetail, uGrid;

procedure TfrmMain.Open();
begin
  TfrmDetailClass(TfrmGrid).CreateNew('TARGET_PANEL',
  procedure (Sender: TObject)
  begin
    TfrmDetail(Sender).SetupForm();
  end
  );
end;

procedure TfrmMain.WebFormShow(Sender: TObject);
begin
  Open();
end;

procedure TfrmMain.Close1Click(Sender: TObject);
begin
  Open();
end;

end.
